﻿@model IEnumerable<EasyMissionMVC.Models.freelancejobMVC>

@{
    ViewBag.Title = "FreelanceJobsList";
    Layout = "~/Views/Shared/_FrontLayout.cshtml";
}

<h2>FreelanceJobsList</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.capacity)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.category)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.date)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.freelancerLevel)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.freelancersNumber)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.isOpen)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.projectHours)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.projectLength)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.salary)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.user_id)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.capacity)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.category)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.date)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.freelancerLevel)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.freelancersNumber)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.isOpen)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.projectHours)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.projectLength)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.salary)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.user_id)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.id }) |
            @Html.ActionLink("Details", "Details", new { id=item.id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.id })
        </td>
    </tr>
}

</table>
